JsonParserCharArray (Groovy 5.0.6)

Package: org.apache.groovy.json.internal

## [Java] Class JsonParserCharArray

- org.apache.groovy.json.internal.JsonParserCharArray

-     public class JsonParserCharArray
      extends BaseJsonParser

  Converts an input JSON String into Java objects works with String or char array as input. Produces an Object which can be any of the basic JSON types mapped to Java.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected static char[]` | `FALSE` |
    `protected static char[]` | `NULL` |
    `protected static char[]` | `TRUE` |
    `protected char` | `__currentChar` |
    `protected int` | `__index` |
    `protected char[]` | `charArray` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BaseJsonParser` | `ALPHA_0, ALPHA_1, ALPHA_2, ALPHA_3, ALPHA_4, ALPHA_5, ALPHA_6, ALPHA_7, ALPHA_8, ALPHA_9, CLOSED_BRACKET, CLOSED_CURLY, COLON, COMMA, DECIMAL_POINT, DOUBLE_QUOTE, ESCAPE, LETTER_BIG_E, LETTER_E, MINUS, PLUS, bufSize, charset, internKeys, internedKeysCache`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected final void` | `complain(String complaint)`
    `` | `protected final char` | `currentChar()`
    `` | `protected final boolean` | `decodeFalse()`
    `` | `protected Object` | `decodeFromChars(char[] cs)`
    `` | `protected final List` | `decodeJsonArray()`
    `` | `protected final Object` | `decodeJsonObject()`
    `` | `protected final Object` | `decodeNull()`
    `` | `protected final boolean` | `decodeTrue()`
    `` | `protected Object` | `decodeValue()`
    `` | `protected String` | `exceptionDetails(String message)`
    `` | `protected final boolean` | `hasCurrent()`
    `` | `protected final boolean` | `hasMore()`
    `` | `protected final char` | `nextChar()`
    `` | `public Object` | `parse(char[] chars)`
    `` | `protected final void` | `skipWhiteSpace()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BaseJsonParser` | `charDescription, findEndQuote, hasEscapeChar, isDecimalChar, isDelimiter, isDoubleQuote, isEscape, isNumberDigit, parse, parse, parse, parse, parse, parse, parse, parse, setCharset`

- - ### Field Detail

    - #### protected static char[] FALSE

    - #### protected static final char[] NULL

    - #### protected static final char[] TRUE

    - #### protected char __currentChar

    - #### protected int __index

    - #### protected char[] charArray

  - ### Method Detail

    - #### protected final void complain(String complaint)

    - #### protected final char currentChar()

    - #### protected final boolean decodeFalse()

    - #### protected Object decodeFromChars(char[] cs)

    - #### protected final List decodeJsonArray()

    - #### protected final Object decodeJsonObject()

    - #### protected final Object decodeNull()

    - #### protected final boolean decodeTrue()

    - #### protected Object decodeValue()

    - #### protected String exceptionDetails(String message)

    - #### protected final boolean hasCurrent()

    - #### protected final boolean hasMore()

    - #### protected final char nextChar()

    - #### @Override
      public Object parse(char[] chars)

    - #### protected final void skipWhiteSpace()